#ifndef _TEST_APP
#define _TEST_APP

#include "ofMain.h"
#include "ofAddons.h"
#define MACOSX
#include "AudioDefs.h"

class testApp : public ofSimpleApp{
	
	public:
		
		void setup();
		void update();
		void draw();
		void exit();
		void mouseReleased();

		/*
		
		
		void keyPressed(int key);
		void keyReleased(int key);		
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
				*/
		
		HarmTable *table1;
		HarmTable *table2;
	
		Oscili    *oscil;
		SndRTIO   *output;
		SndThread sndthread;
		
		Oscili    *oscilL;
		Oscili    *oscilR;
		
		Buzz * blp;
		Filter *fil;
		SndObj  audio;	

	
	
		
		Oscili    *oscilAdd1;
};

#endif	















